net.corda.core.node

## Class ServiceHubKt

- net.corda.core.node.ServiceHubKt

-     public class ServiceHubKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `recordTransactions(ServiceHub $receiver, net.corda.core.transactions.SignedTransaction txs)` Given some `class SignedTransaction`s, writes them to the local storage for validated transactions and then sends them to the vault for further processing.

- - ### Method Detail

    - #### recordTransactions

          public static void recordTransactions(ServiceHub $receiver,
                                                net.corda.core.transactions.SignedTransaction txs)

      Given some `class SignedTransaction`s, writes them to the local storage for validated transactions and then sends them to the vault for further processing.

      Parameters:
        `txs` - The transactions to record.
      See Also:
        `class SignedTransaction`